Class | RDoc::Stats
In: | rdoc/rdoc.rb
Parent: | Object

Simple stats collector

### Methods

new print

### Attributes

num_classes | [RW] |
num_files | [RW] |
num_methods | [RW] |
num_modules | [RW] |

### Public Class methods

new()

[Source]

    # File rdoc/rdoc.rb, line 34
        def initialize
          @num_files = @num_classes = @num_modules = @num_methods = 0
          @start = Time.now
        end

### Public Instance methods

print()

[Source]

    # File rdoc/rdoc.rb, line 38
        def print
          puts "Files:   #@num_files"
          puts "Classes: #@num_classes"
          puts "Modules: #@num_modules"
          puts "Methods: #@num_methods"
          puts "Elapsed: " + sprintf("%0.3fs", Time.now - @start)
        end

[Validate]